<?php

/**
 * @file
 * This file is empty by default because the base theme chain (Alpha & Omega) provides
 * all the basic functionality. However, in case you wish to customize the output that Drupal
 * generates through Alpha & Omega this file is a good place to do so.
 * 
 * Alpha comes with a neat solution for keeping this file as clean as possible while the code
 * for your subtheme grows. Please read the README.txt in the /preprocess and /process subfolders
 * for more information on this topic.
 */
 function zufolo_alpha_page_structure_alter(&$vars) {
  $vars['content']['content']['content']['#sorted'] = FALSE;
  
  //content bottom
  if (!empty($vars['#excluded']['content_bottom_first'])) {
    $vars['#excluded']['content_bottom_first']['#weight'] = 90;
    $vars['content']['content']['content']['content_bottom_first'] = $vars['#excluded']['content_bottom_first'];
  }

  if (!empty($vars['#excluded']['content_bottom_second'])) {
    $vars['#excluded']['content_bottom_second']['#weight'] = 91;
    $vars['content']['content']['content']['content_bottom_second'] = $vars['#excluded']['content_bottom_second'];
  }
  
    if (!empty($vars['#excluded']['content_bottom_third'])) {
    $vars['#excluded']['content_bottom_second']['#weight'] = 92;
    $vars['content']['content']['content']['content_bottom_third'] = $vars['#excluded']['content_bottom_third'];
  }

}
function zufolo_preprocess_html(&$vars) { 
  $file = theme_get_setting('theme_color') . '-style.css';
  drupal_add_css(path_to_theme() . '/css/'. $file, array('group' => CSS_THEME, 'weight' => 115,'browsers' => array(), 'preprocess' => FALSE));
}

function zufolo_form_search_block_form_alter(&$form) {
  $form['search_block_form']['#attributes']['placeholder'] = t('Enter your text here');
  $form['actions']['submit']='';
  unset($form['submit']);
  return $form;
}

function zufolo_form_alter(&$form, $form_state, $form_id) {
	if($form_id=="newsletter_subscribe_form") {
	$form["email"]["#default_value"] = '';
	$form['email']['#attributes']['placeholder'] = t('Your email');
	
	}
 return $form;
}
